
Privacy Statement for EyeWitnesstohistory.com


We are firmly committed to maintaining your privacy.


Advertisers 
We use third-party advertising companies to serve ads when you visit our Web site. These companies may use aggregated information (not including your name, address, email address or telephone number) about your visits to this and other Web sites in order to provide advertisements about goods and services of interest to you. If you would like more information about this practice and to know your choices about not having this information used by these companies,  click here.

For more about how the information is collected and used by our ad agencies, please click each agency listed below:
TribalFusion
Google
ValueClick
CasaleMedia
Burst!

Personal Information 

The only personal information we collect is your e-mail address when you elect to join our mailing list. We use this information solely for the purpose of keeping you informed of additions to the content of this web site. We do not share this information with any third party.

External Links 

This site contains links to other sites - We are not responsible for the privacy practices or the content of such Web sites.

Contacting the Web Site 

If you have any questions about this privacy statement, the practices of this site, or your dealings with this Web site, you can contact: 

Ibis Communications, Inc.  
Hillcrest House
92 Hillcrest Ave.
Geneva, NY 14456
ibiscom@ibiscom.com

